## python-biopython 1.30

=== Doc/Makefile ===
all: doc
.PHONY: all doc clean

doc:
	- pdflatex Tutorial
	- pdflatex Tutorial
	- pdflatex Tutorial
	- pdflatex biopdb_faq.tex 
	- pdflatex biopdb_faq.tex 
	- pdflatex biopdb_faq.tex 
	

clean:
	- rm -f Doc/Tutorial.ps Doc/Tutorial.log Doc/Tutorial.dvi \
	Doc/Tutorial.aux
	- rm -rf Doc/api

=== Doc/cookbook/biopython_test/Makefile ===
# create pdf, txt and html documentation

FILENAME=biopython_test

all: ${FILENAME}.tex pdf html txt

clean: 
	rm -f ${FILENAME}.aux
	rm -f ${FILENAME}.bbl
	rm -f ${FILENAME}.blg
	rm -f ${FILENAME}.log
	rm -f ${FILENAME}.out
	rm -f ${FILENAME}.toc
	rm -f ${FILENAME}.haux
	rm -f ${FILENAME}.htoc

real_clean: clean
	rm -f ${FILENAME}.pdf
	rm -f ${FILENAME}.txt
	rm -f ${FILENAME}.html

pdf: clean pdf_make
pdf_make: ${FILENAME}.tex
	pdflatex ${FILENAME}.tex
	pdflatex ${FILENAME}.tex
	pdflatex ${FILENAME}.tex

html: clean html_make
html_make: ${FILENAME}.tex
	hevea ${FILENAME}.tex
	hevea ${FILENAME}.tex

txt: clean txt_make
txt_make: ${FILENAME}.tex
	hevea -text ${FILENAME}.tex
	hevea -text ${FILENAME}.tex

## python-biopython 1.41

=== Doc/Makefile ===
--- 
+++ 
@@ -11,6 +11,9 @@
 	
 
 clean:
-	- rm -f Doc/Tutorial.ps Doc/Tutorial.log Doc/Tutorial.dvi \
-	Doc/Tutorial.aux
-	- rm -rf Doc/api
+	- rm -f Tutorial.ps Tutorial.log Tutorial.dvi \
+	Tutorial.aux 
+	- rm -rf api
+html:
+	- hevea -fix Tutorial.tex
+	- hacha Tutorial.html

=== Doc/cookbook/genbank_to_fasta/Makefile ===
# create pdf, txt and html documentation

FILENAME=genbank_to_fasta

all: ${FILENAME}.tex pdf html txt

clean: 
	rm -f ${FILENAME}.aux
	rm -f ${FILENAME}.bbl
	rm -f ${FILENAME}.blg
	rm -f ${FILENAME}.log
	rm -f ${FILENAME}.out
	rm -f ${FILENAME}.toc
	rm -f ${FILENAME}.haux
	rm -f ${FILENAME}.htoc

real_clean: clean
	rm -f ${FILENAME}.pdf
	rm -f ${FILENAME}.txt
	rm -f ${FILENAME}.html

pdf: clean pdf_make
pdf_make: ${FILENAME}.tex
	pdflatex ${FILENAME}.tex
	pdflatex ${FILENAME}.tex
	pdflatex ${FILENAME}.tex

html: clean html_make
html_make: ${FILENAME}.tex
	hevea ${FILENAME}.tex
	hevea ${FILENAME}.tex

txt: clean txt_make
txt_make: ${FILENAME}.tex
	hevea -text ${FILENAME}.tex
	hevea -text ${FILENAME}.tex

## python-biopython 1.42

=== Doc/install/Makefile ===
# create pdf, txt and html documentation

FILENAME=Installation

all: ${FILENAME}.tex pdf html txt

clean: 
	rm -f ${FILENAME}.aux
	rm -f ${FILENAME}.bbl
	rm -f ${FILENAME}.blg
	rm -f ${FILENAME}.log
	rm -f ${FILENAME}.out
	rm -f ${FILENAME}.toc
	rm -f ${FILENAME}.haux
	rm -f ${FILENAME}.htoc

real_clean: clean
	rm -f ${FILENAME}.pdf
	rm -f ${FILENAME}.txt
	rm -f ${FILENAME}.html

pdf: clean pdf_make
pdf_make: ${FILENAME}.tex
	pdflatex ${FILENAME}.tex
	pdflatex ${FILENAME}.tex
	pdflatex ${FILENAME}.tex

html: clean html_make
html_make: ${FILENAME}.tex
	hevea ${FILENAME}.tex
	hevea ${FILENAME}.tex

txt: clean txt_make
txt_make: ${FILENAME}.tex
	hevea -text ${FILENAME}.tex
	hevea -text ${FILENAME}.tex

=== Doc/cookbook/LogisticRegression/Makefile ===
# create pdf, txt and html documentation

FILENAME=LogisticRegression

all: ${FILENAME}.tex pdf html txt

clean: 
	rm -f ${FILENAME}.aux
	rm -f ${FILENAME}.bbl
	rm -f ${FILENAME}.blg
	rm -f ${FILENAME}.log
	rm -f ${FILENAME}.out
	rm -f ${FILENAME}.toc
	rm -f ${FILENAME}.haux
	rm -f ${FILENAME}.htoc

real_clean: clean
	rm -f ${FILENAME}.pdf
	rm -f ${FILENAME}.txt
	rm -f ${FILENAME}.html

pdf: clean pdf_make
pdf_make: ${FILENAME}.tex
	pdflatex ${FILENAME}.tex
	pdflatex ${FILENAME}.tex
	pdflatex ${FILENAME}.tex

html: clean html_make
html_make: ${FILENAME}.tex
	hevea ${FILENAME}.tex
	hevea ${FILENAME}.tex

txt: clean txt_make
txt_make: ${FILENAME}.tex
	hevea -text ${FILENAME}.tex
	hevea -text ${FILENAME}.tex

## python-biopython 1.43

=== Doc/Makefile ===
subdirs := cookbook/biopython_test cookbook/genbank_to_fasta cookbook/LogisticRegression install


all:  Tutorial.html Tutorial.txt pdf $(subdirs)
pdf:  Tutorial.pdf biopdb_faq.pdf

Tutorial.pdf: Tutorial.tex
	pdflatex Tutorial.tex
	pdflatex Tutorial.tex
	pdflatex Tutorial.tex

biopdb_faq.pdf: biopdb_faq.tex
	pdflatex biopdb_faq.tex
	pdflatex biopdb_faq.tex
	pdflatex biopdb_faq.tex

Tutorial.html: Tutorial.tex
	hevea -fix Tutorial.tex
	hacha Tutorial.html

Tutorial.txt: Tutorial.tex
	hevea -fix -text Tutorial.tex

clean-subdirs: $(subdirs)
	( for f in $^ ; do $(MAKE) clean -C $$f ; done )

clean: clean-subdirs
	rm -f Tutorial.aux
	rm -f Tutorial.log
	rm -f Tutorial.out
	rm -f Tutorial.haux
	rm -f Tutorial.htoc
	rm -f biopdb_faq.aux
	rm -f biopdb_faq.log
	rm -f biopdb_faq.out

distclean-subdirs: $(subdirs)
	( for f in $^ ; do $(MAKE) distclean -C $$f ; done )

distclean: clean distclean-subdirs
	rm -f biopdb_faq.pdf
	rm -f Tutorial.pdf
	rm -f Tutorial.html
	rm -f Tutorial.txt
	rm -f *_motif.gif #output from hacha

.PHONY: $(subdirs)
$(subdirs):
	$(MAKE) -C $@

=== Doc/cookbook/genbank_to_fasta/Makefile ===
# create pdf, txt and html documentation

FILENAME=genbank_to_fasta

all: ${FILENAME}.pdf ${FILENAME}.html ${FILENAME}.txt

clean: 
	rm -f ${FILENAME}.aux
	rm -f ${FILENAME}.log
	rm -f ${FILENAME}.out
	rm -f ${FILENAME}.toc
	rm -f ${FILENAME}.haux
	rm -f ${FILENAME}.htoc

distclean: clean
	rm -f ${FILENAME}.pdf
	rm -f ${FILENAME}.txt
	rm -f ${FILENAME}.html

${FILENAME}.pdf: ${FILENAME}.tex
	pdflatex ${FILENAME}.tex
	pdflatex ${FILENAME}.tex
	pdflatex ${FILENAME}.tex

${FILENAME}.html: ${FILENAME}.tex
	hevea -fix ${FILENAME}.tex

${FILENAME}.txt: ${FILENAME}.tex
	hevea -fix -text ${FILENAME}.tex

## python-biopython 1.44

=== Bio/KDTree/Makefile ===


KDTree.swig.cpp: KDTree.i KDTree.h KDTree.cpp 
	 swig -c++ -python -shadow -o KDTree.swig.cpp KDTree.i

clean:
	rm KDTree.swig.cpp CKDTree.py

## python-biopython 1.45

=== Doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-subdirs := cookbook/biopython_test cookbook/genbank_to_fasta cookbook/LogisticRegression install
+subdirs := cookbook/biopython_test cookbook/LogisticRegression install
 
 
 all:  Tutorial.html Tutorial.txt pdf $(subdirs)

=== Doc/cookbook/LogisticRegression/Makefile ===
# create pdf, txt and html documentation

FILENAME=LogisticRegression

all: ${FILENAME}.pdf ${FILENAME}.html ${FILENAME}.txt

clean:
	rm -f ${FILENAME}.aux
	rm -f ${FILENAME}.log
	rm -f ${FILENAME}.out
	rm -f ${FILENAME}.toc
	rm -f ${FILENAME}.haux
	rm -f ${FILENAME}.htoc

distclean: clean
	rm -f ${FILENAME}.pdf
	rm -f ${FILENAME}.html
	rm -f ${FILENAME}.txt

${FILENAME}.pdf: ${FILENAME}.tex
	pdflatex ${FILENAME}.tex
	pdflatex ${FILENAME}.tex
	pdflatex ${FILENAME}.tex

${FILENAME}.html: ${FILENAME}.tex
	hevea -fix ${FILENAME}.tex

${FILENAME}.txt: ${FILENAME}.tex
	hevea -fix -text ${FILENAME}.tex

=== Doc/cookbook/biopython_test/Makefile ===
# create pdf, txt and html documentation

FILENAME=biopython_test

all: ${FILENAME}.html ${FILENAME}.pdf ${FILENAME}.txt

clean:
	rm -f ${FILENAME}.aux
	rm -f ${FILENAME}.log
	rm -f ${FILENAME}.out
	rm -f ${FILENAME}.toc
	rm -f ${FILENAME}.haux
	rm -f ${FILENAME}.htoc

distclean: clean
	rm -f ${FILENAME}.pdf
	rm -f ${FILENAME}.html
	rm -f ${FILENAME}.txt

${FILENAME}.pdf: ${FILENAME}.tex
	pdflatex ${FILENAME}.tex
	pdflatex ${FILENAME}.tex
	pdflatex ${FILENAME}.tex

${FILENAME}.html: ${FILENAME}.tex
	hevea -fix ${FILENAME}.tex

${FILENAME}.txt: ${FILENAME}.tex
	hevea -fix -text ${FILENAME}.tex

## python-biopython 1.49

=== Doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-subdirs := cookbook/biopython_test cookbook/LogisticRegression install
+subdirs := cookbook/biopython_test install
 
 
 all:  Tutorial.html Tutorial.txt pdf $(subdirs)

## python-biopython 1.60

=== debian/changelog ===
python-biopython (1.60-1) unstable; urgency=low

  * New upstream release.
  * Removed quilt dependency.
  * Migrated to dh_python2.
  * patches/01-enable-mmCIF.patch: not required anymore.
  * debian/source/format: 3.0 (quilt) added.
  * debian/rules: added hardening flags.

 -- Philipp Benner <philipp@debian.org>  Sat, 29 Sep 2012 16:43:59 +0200

python-biopython (1.59-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Standards version 3.9.3.
  * debian/rules: added dh_numpy.

 -- Philipp Benner <philipp@debian.org>  Fri, 09 Mar 2012 13:38:09 +0000

python-biopython (1.58-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: added targets build-arch and build-indep.
  * debian/control: Standards version 3.9.2.

 -- Philipp Benner <philipp@debian.org>  Wed, 02 Nov 2011 19:51:49 +0000

python-biopython (1.57-1) unstable; urgency=low

  * New upstream release (Closes: #585282).

 -- Philipp Benner <philipp@debian.org>  Sun, 10 Apr 2011 17:58:01 +0000

python-biopython (1.56-1) unstable; urgency=low

  * New upstream release.

 -- Philipp Benner <philipp@debian.org>  Thu, 02 Dec 2010 17:30:09 +0000

python-biopython (1.54-1) unstable; urgency=low

  * New upstream release.

 -- Philipp Benner <philipp@debian.org>  Fri, 28 May 2010 00:06:43 +0200

python-biopython (1.53-1) unstable; urgency=low

  * New upstream release.

 -- Philipp Benner <philipp@debian.org>  Mon, 21 Dec 2009 15:30:37 +0000

python-biopython (1.52-1) unstable; urgency=low

  * New upstream release.

 -- Philipp Benner <philipp@debian.org>  Wed, 30 Sep 2009 10:16:03 +0000

python-biopython (1.51final-2) unstable; urgency=low

  * Merged patch from ubuntu to make the package ready for
    python2.6 (Closes: #543236).

 -- Philipp Benner <philipp@debian.org>  Mon, 24 Aug 2009 09:29:27 +0000

python-biopython (1.51final-1) unstable; urgency=low

  * New upstream release
  * debian/control: suggesting muscle, clustalw, mafft, emboss, and
    blast2 for installation

 -- Philipp Benner <philipp@debian.org>  Wed, 19 Aug 2009 10:41:19 +0000

python-biopython (1.51b-2) unstable; urgency=low

  * Dropped python-biopython-martel.
  * Dropped dependency on python-egenix-mxtexttools.
  * Removed DM-Upload-Allowed: yes.

 -- Philipp Benner <philipp@debian.org>  Tue, 11 Aug 2009 19:47:52 +0000

python-biopython (1.51b-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - moved python-martel back to section python (python packages do not
    use section oldlibs)
  * debian/patches/02-fix-wise-test.patch
    - removed (merged with upstream)
  * debian/control:
    - Changed the description of python-biopython-sql according to Peter Cock's
      suggestions.
    [Charles Plessy]

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Sat, 27 Jun 2009 15:14:52 +0000

python-biopython (1.49-1) unstable; urgency=low

  * New upstream release.
    - uses NumPy rather than its precursor Numeric (Closes: #478457)
    - Martel, Bio.Mindy, Bio.MetaTool, Bio.EUtils, Bio.Saf, Bio.NBRF, and
      Bio.IntelliGenetics are deprecated.
    - Bio.PubMed and the online code in Bio.GenBank are now considered obsolete
      and will be deprecated in a future release.
    - Bio.Fasta is also considered to be obsolete and will eventually be
      deprecated.
  * debian/control:
    - added myself as Uploader.
    - depends on python-numpy instead of python-numeric-ext.
    - moved python-martel to oldlibs section, priority extra as it is
      deprecated, and indicate this in the description.
    - build-depend on python-mysqldb and wise for the tests after building.
  * Use Debhelper 7 (debian/co{ntrol,mpat}).
  * debian/copyright: added myself to the Hall of Fame and updated to latest
    draft of the machine-readable format.
  * debian/watch: makes beta versions lower by prepending a tilde between
    numbers and letters (1.49b -> 1.49~b).
  * mmCIF support enabled:
    - debian/patches/01-enable-mmCIF.patch: as the name indicates ;)
    - debian/rules: patch and unpatch through /usr/share/quilt/quilt.make.
    - debian/control: build-depends on quilt.
  * debian/python-biopython-doc.doc-base: corrected index name that was changed
    upstream.
  * debian/patches/02-fix-wise-test.patch: prevents tests failing with Debian's
    version of Wise.
  * debian/rules: perform tests after build.

 -- Charles Plessy <plessy@debian.org>  Fri, 23 Jan 2009 22:19:50 +0900

python-biopython (1.47-1) unstable; urgency=low

  * New upstream release
  * Standards version 3.8.0

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Sun, 03 Aug 2008 14:29:33 +0200

python-biopython (1.45-3) unstable; urgency=low

  * Removed dependency on python-numeric-ext since it is already in
    the recommends field

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Sun, 01 Jun 2008 10:34:48 +0200

python-biopython (1.45-2) unstable; urgency=low

  * Add dependency on python-numeric-ext (Bio.PDB uses MLab from this package)

 -- Morten Kjeldgaard <mok@bioxray.au.dk>  Wed, 23 Apr 2008 00:01:16 +0200

python-biopython (1.45-1) unstable; urgency=low

  * New upstream release.
  * Added doc-base.

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Sat, 29 Mar 2008 12:20:41 +0100

python-biopython (1.44-3) unstable; urgency=low

  * New maintainer e-mail address.
  * debian/control: Added DM-Upload-Allowed: yes.

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Mon, 14 Jan 2008 18:35:18 +0100

python-biopython (1.44-2) unstable; urgency=low

  * Moved suggested package python-numeric-ext to recommends field
    (Closes: #452379).
  * Moved wise from recommends to suggests field.
  * Removed package tags from debian/control.
  * Added homepage field to debian/control.
  * Changed maintainer to Debian-Med Packaging Team.
  * Removed .DS_Store.gz file from doc package.

 -- Philipp Benner <mail@philipp-benner.de>  Thu, 22 Nov 2007 13:35:00 +0100

python-biopython (1.44-1) unstable; urgency=low

  * New upstream release.


=== debian/control ===
Source: python-biopython
Priority: optional
Section: python
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Philipp Benner <philipp@debian.org>,
           Charles Plessy <plessy@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), python-all (>= 2.6.6-3~), python-all-dev, flex,
 python-reportlab, python-numpy,
# For the purpose of the tests
 python-mysqldb, wise
X-Python-Version: >= 2.5
Standards-Version: 3.9.3
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/python-biopython/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/python-biopython/trunk/
Homepage: http://biopython.org

Package: python-biopython
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-numpy, python-reportlab
Provides: ${python:Provides}
Replaces: python2.3-biopython (<< 1.42-1), python2.4-biopython (<< 1.42-1)
Conflicts: python2.3-biopython (<< 1.42-1), python2.4-biopython (<< 1.42-1)
Recommends: python-biopython-doc (= ${source:Version})
Suggests: python-tk, wise, muscle, clustalw, mafft, emboss, blast2
Description: Python library for bioinformatics
 The Biopython Project is an international association
 of developers of freely available Python tools for
 computational molecular biology.
 .
 It is a distributed collaborative effort to develop Python
 libraries and applications which address the needs of
 current and future work in bioinformatics. The source code
 is made available under the Biopython License, which is
 extremely liberal and compatible with almost every license
 in the world. We work along with the Open Bioinformatics
 Foundation, who generously provide web and CVS space for
 the project. 

Package: python-biopython-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: python-biopython (= ${source:Version})
Description: Documentation for the Biopython library
 Documentation and examples about how to use the Biopython
 library.

Package: python-biopython-sql
# Todo: add www.biosql.org as "External Ressource" on packages.debian.org when the infrastructure will provide a way to do so.
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-mysqldb, python-biopython
Provides: ${python:Provides}
Replaces: python2.3-biopython-sql (<< 1.42-1), python2.4-biopython-sql (<< 1.42-1)
Conflicts: python2.3-biopython-sql (<< 1.42-1), python2.4-biopython-sql (<< 1.42-1)
Description: Biopython support for the BioSQL database schema
 This is the Biopython interface to a BioSQL database (see www.biosql.org
 for details). BioPerl, BioJava and BioRuby also provide their own BioSQL
 interfaces onto the same shared SQL schema.

=== debian/rules ===
#!/usr/bin/make -f

# hardening flags
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

PWD    := $(shell pwd)
PYDEF  := $(shell pyversions -d)
PYVERS := $(shell pyversions -r)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: $(PYVERS:%=build-%)
	touch build-stamp
build-python%:
	echo $(DEB_HOST_ARCH)
	yes | python$* setup.py build

install: $(PYVERS:%=install-%)
install-python%:
	dh_testdir
	dh_testroot

	yes | python$* setup.py install --root $(CURDIR)/debian/python$*-tmp --install-layout=deb

	dh_movefiles -ppython-biopython		\
		     -ppython-biopython-sql	\
		     --sourcedir=debian/python$*-tmp

clean: $(PYVERS:%=clean-%)
	dh_testdir
	dh_testroot

	dh_clean

	$(RM) build-stamp

# fix bugs in setup.py
	$(RM) Tests/*.pyc
	$(RM) Tests/Graphics/*.eps
	$(RM) Tests/Graphics/*.pdf
	$(RM) Tests/dump
	$(RM) Tests/NeuralNetwork/patternio.txt
	$(RM) -r Tests/SCOP/scopseq-test/astral-scopdom-seqres-all-test.fa.idx

	$(RM) -r build

clean-python%:
	dh_testdir
	dh_testroot

	python$* setup.py clean

	$(RM) -r debian/python$*-tmp

binary-indep: build install
	dh_testdir
	dh_testroot

	dh_installdocs -i
	dh_installchangelogs -i
	dh_fixperms -i
	dh_compress -i
	dh_python2 -i
	dh_numpy -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_installdeb -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot

	dh_installdocs -a
	dh_installchangelogs -a
	dh_fixperms -a
	dh_compress -a
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -a
endif
	dh_python2 -a
	dh_numpy -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_installdeb -a
	dh_builddeb -a

test:
	python$* setup.py test

binary: binary-indep binary-arch test

.PHONY: clean build install binary binary-indep binary-arch

## python-biopython 1.61

=== debian/changelog ===
python-biopython (1.61-1) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream:
     - Took over citation information from tasks file
     - Valid BibTeX authors field
     - Firstnames of authors
  * debian/control: Fixed Vcs fields

  [ Philipp Benner ]
  * New upstream release
  * Standards version 3.9.4

 -- Philipp Benner <philipp@debian.org>  Thu, 14 Feb 2013 22:08:04 +0100
  

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Section: python
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Philipp Benner <philipp@debian.org>,
-           Charles Plessy <plessy@debian.org>
+           Charles Plessy <plessy@debian.org>,
+           Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), python-all (>= 2.6.6-3~), python-all-dev, flex,
  python-reportlab, python-numpy,
 # For the purpose of the tests
  python-mysqldb, wise
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.3
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/python-biopython/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/python-biopython/trunk/
+Standards-Version: 3.9.4
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/python-biopython/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/python-biopython/trunk/
 Homepage: http://biopython.org
 
 Package: python-biopython
@@ -21,7 +22,7 @@
 Replaces: python2.3-biopython (<< 1.42-1), python2.4-biopython (<< 1.42-1)
 Conflicts: python2.3-biopython (<< 1.42-1), python2.4-biopython (<< 1.42-1)
 Recommends: python-biopython-doc (= ${source:Version})
-Suggests: python-tk, wise, muscle, clustalw, mafft, emboss, blast2
+Suggests: python-tk, wise, muscle, clustalw, mafft, emboss, blast2, python-psycopg2, probcons
 Description: Python library for bioinformatics
  The Biopython Project is an international association
  of developers of freely available Python tools for

## python-biopython 1.62

=== debian/changelog ===
python-biopython (1.62-1) unstable; urgency=low

  * New upstream release
  * Using CDBS to build the package

 -- Philipp Benner <philipp@debian.org>  Sun, 15 Sep 2013 16:36:26 +0200

## python-biopython 1.63

=== Doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-subdirs := cookbook/biopython_test install
+subdirs := install
 
 
 all:  Tutorial.html Tutorial.txt pdf $(subdirs)
@@ -16,7 +16,6 @@
 
 Tutorial.html: Tutorial.tex
 	hevea -fix Tutorial.tex
-	hacha Tutorial.html
 
 Tutorial.txt: Tutorial.tex
 	hevea -fix -text Tutorial.tex
@@ -26,6 +25,7 @@
 
 clean: clean-subdirs
 	rm -f Tutorial.aux
+	rm -f Tutorial.toc
 	rm -f Tutorial.log
 	rm -f Tutorial.out
 	rm -f Tutorial.haux

=== debian/changelog ===
python-biopython (1.63-1) unstable; urgency=low

  * New upstream release

 -- Philipp Benner <philipp@debian.org>  Thu, 09 Jan 2014 15:38:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Philipp Benner <philipp@debian.org>,
            Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), python-all (>= 2.6.6-3~), python-all-dev, flex,
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), cdbs (>= 0.4.90~), python-all (>= 2.6.6-3~), python-all-dev, flex,
  python-reportlab, python-numpy,
 # For the purpose of the tests
  python-mysqldb, wise

=== debian/rules ===
#!/usr/bin/make -f

# hardening flags
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

binary-post-install/python-biopython::
	dh_numpy -ppython-biopython

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts="uversionmangle=s/b/~b/" \
http://biopython.org/DIST/biopython-(.\.\w+)\.tar\.gz \
	debian uupdate

## python-biopython 1.64+dfsg

=== debian/changelog ===
python-biopython (1.64+dfsg-5) unstable; urgency=medium

  * Exclude samtools test from unit testing for the moment since this
    package is in flux and it is not clear what architectures will be
    supported finally
  * Do not suggest python3 packages in python-biopython and no
    python package sin python3-biopython
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 24 Sep 2014 10:08:12 +0200

python-biopython (1.64+dfsg-4) unstable; urgency=medium

  * debian/patches/fix_test_problem_on_powerpc.patch: Patch provided by
    upstream to run test suite on PowerPC (thanks to Michiel de Hoon
    <mjldehoon@yahoo.com>)
    Closes: #751277
  * Install egg metadata
    Closes: #743927
  * Add samtools to Build-Depends + Recommends since it is checked in test
    suite

 -- Andreas Tille <tille@debian.org>  Mon, 01 Sep 2014 15:59:30 +0200

python-biopython (1.64+dfsg-3) unstable; urgency=medium

  * Skip test on mips architecture which is known to fail
  * Versioned (Build-)Depends wise (>= 2.4.1-16) to make sure tests
    will pass on each architecture (problems with previous wise on
    powerpc, s390x)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Aug 2014 11:41:23 +0200

python-biopython (1.64+dfsg-2) unstable; urgency=medium

  * Use HOME in build_dir for testing (thanks to Jakub Wilk <jwilk@debian.org>
    for the patch)
    Closes: #751586

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jun 2014 20:12:02 +0200

python-biopython (1.64+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends raxml only on those architectures where it is available
    Closes: #750845

 -- Andreas Tille <tille@debian.org>  Sun, 08 Jun 2014 10:25:35 +0200

python-biopython (1.63+dfsg-5) unstable; urgency=medium

  * Apply upstream fix to fix cpairwise2 import issue under python3 
    Closes: #747494

 -- Andreas Tille <tille@debian.org>  Sat, 10 May 2014 07:52:48 +0200

python-biopython (1.63+dfsg-4) unstable; urgency=medium

  [ Martin Pitt ]
  * Depend on our own packages in the autopkgtest and add missing
    "allow-stderr" restriction.
    Closes: #747391

  [ Andreas Tille ]
  * Move ncbi-blast+ from Suggests to Recommends due to a hint from
    upstream

 -- Andreas Tille <tille@debian.org>  Thu, 08 May 2014 11:33:47 +0200

python-biopython (1.63+dfsg-3) unstable; urgency=medium

  * Set HOME=/tmp also in autopkgtest
  * Do not try to create doc in arch-only builds

 -- Andreas Tille <tille@debian.org>  Sun, 04 May 2014 00:18:47 +0200

python-biopython (1.63+dfsg-2) unstable; urgency=medium

  * Force writable HOME to make sure t-coffee test will pass
    Closes: #746624

 -- Andreas Tille <tille@debian.org>  Fri, 02 May 2014 23:14:50 +0200

python-biopython (1.63+dfsg-1) unstable; urgency=medium

  * Remove Bio\Entrez\DTDs\mathml2-qname-1.mod
    Closes: #746484

 -- Andreas Tille <tille@debian.org>  Wed, 30 Apr 2014 14:47:53 +0200

python-biopython (1.63-2) unstable; urgency=medium

  * Enable Python3
  * debian/copyright:
     - Add Upstream-Contact
     - DEP5
  * Run (nearly) full test suite
  * Add autopkgtest
  * Add packages from Build-Depends needed for tests to Depends

 -- Andreas Tille <tille@debian.org>  Thu, 06 Mar 2014 11:51:27 +0100

=== debian/control ===
Source: python-biopython
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Philipp Benner <philipp@debian.org>,
           Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               python-all-dev,
               python3-all-dev,
               python-numpy,
               python3-numpy,
               flex,
               python-reportlab,
               python3-reportlab,
               bwa [any-amd64],
               clustalo,
               clustalw,
               dialign,
               dssp,
               emboss,
               fasttree,
               mafft,
               muscle,
               ncbi-blast+,
               phyml,
               prank,
               probcons,
               python-mysqldb,
               python-matplotlib,
               python3-matplotlib,
               python-pil,
               python3-pil,
               python-rdflib,
               python3-rdflib,
               python-renderpm,
               python3-renderpm,
               python-psycopg2,
               python3-psycopg2,
               raxml [any-amd64],
               t-coffee,
               wise (>= 2.4.1-16)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/python-biopython/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/python-biopython/trunk/
Homepage: http://biopython.org
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.3

Package: python-biopython
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-reportlab
Recommends: python-biopython-doc (= ${source:Version}),
            ncbi-blast+
Suggests: python-tk,
          bwa [any-amd64],
          clustalo,
          clustalw,
          dialign,
          dssp,
          emboss,
          fasttree,
          mafft,
          muscle,
          phyml,
          prank,
          probcons,
          python-mysqldb,
          python-matplotlib,
          python-numpy,
          python-pil,
          python-rdflib,
          python-renderpm,
          python-psycopg2,
          raxml,
          samtools,
          t-coffee,
          wise (>= 2.4.1-16)
Description: Python library for bioinformatics (implemented in Python 2)
 The Biopython Project is an international association
 of developers of freely available Python tools for
 computational molecular biology.
 .
 It is a distributed collaborative effort to develop Python
 libraries and applications which address the needs of
 current and future work in bioinformatics. The source code
 is made available under the Biopython License, which is
 extremely liberal and compatible with almost every license in
 the world. The project works along with the Open Bioinformatics
 Foundation, who generously provide web and CVS space for
 the project. 
 .
 This package is targeting Python version 2.

Package: python3-biopython
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-reportlab
Recommends: python-biopython-doc (= ${source:Version}),
            ncbi-blast+
Suggests: python3-tk,
          python-reportlab,
          bwa [any-amd64],
          clustalo,
          clustalw,
          dialign,
          dssp,
          emboss,
          fasttree,
          mafft,
          muscle,
          phyml,
          prank,
          probcons,
          python-mysqldb,
          python3-matplotlib,
          python3-numpy,
          python3-pil,
          python3-rdflib,
          python3-renderpm,
          python3-psycopg2,
          raxml,
          samtools,
          t-coffee,
          wise (>= 2.4.1-16)
Description: Python library for bioinformatics (implemented in Python 3)
 The Biopython Project is an international association
 of developers of freely available Python tools for
 computational molecular biology.
 .
 It is a distributed collaborative effort to develop Python
 libraries and applications which address the needs of
 current and future work in bioinformatics. The source code
 is made available under the Biopython License, which is
 extremely liberal and compatible with almost every license in
 the world. The project works along with the Open Bioinformatics
 Foundation, who generously provide web and CVS space for
 the project. 
 .
 This package is targeting Python version 3.

Package: python-biopython-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: python-biopython (= ${source:Version})
Description: Documentation for the Biopython library
 Documentation and examples about how to use the Biopython
 library.
 .
 This package also contains the unit tests of the test suite
 to enable reproducing the test results.

Package: python-biopython-sql
# Todo: add www.biosql.org as "External Ressource" on packages.debian.org when the infrastructure will provide a way to do so.
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-mysqldb,
         python-biopython
Provides: ${python:Provides}
Description: Biopython support for the BioSQL database schema (Python 2)
 This is the Biopython interface to a BioSQL database (see www.biosql.org
 for details). BioPerl, BioJava and BioRuby also provide their own BioSQL
 interfaces onto the same shared SQL schema.
 .
 This package is targeting Python version 2.

Package: python3-biopython-sql
# Todo: add www.biosql.org as "External Ressource" on packages.debian.org when the infrastructure will provide a way to do so.
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-biopython
Provides: ${python:Provides}
Description: Biopython support for the BioSQL database schema (Python 3)
 This is the Biopython interface to a BioSQL database (see www.biosql.org
 for details). BioPerl, BioJava and BioRuby also provide their own BioSQL
 interfaces onto the same shared SQL schema.
 .
 This package is targeting Python version 3.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

#export PYBUILD_NAME=biopython
#export PYBUILD_DESTDIR_python2=debian/python-biopython/
#export PYBUILD_DESTDIR_python3=debian/python3-biopython/

BUILDARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)


# If `$(CURDIR)/setup.py test` would be called these tests need to be excluded since they require to be online
#EXCLUDEONLINE=Entrez_online HotRand NCBI_qblast SCOP_online SeqIO_online TogoWS 
# Since `run_texts.py --online` is used the test requiring online connections are excluded by the test suite
EXCLUDEONLINE=

# avoid PAML_tools and EmbossPhylipNew since paml resp. embassy-phylip are non-free
# This would not trigger a failure but bloats the build log with irrelevant noise
EXCLUDENONFREE=PAML_tools EmbossPhylipNew

# avoid testing tools that are not packaged for Debian yet (or will never be packaged since they might be outdated)
# This would not trigger a failure but bloats the build log with irrelevant noise
EXCLUDENOTPACKAGED=MSAProbs_tool NACCESS_tool PopGen_DFDist PopGen_FDist PopGen_GenePop PopGen_GenePop_EasyController PopGen_SimCoal XXmotif_tool

# avoid amd64 only tools on other architectures
ifeq ($(BUILDARCH),amd64)
    EXCLUDEARCHamd64=
else
    EXCLUDEARCHamd64=BWA_tool raxml_tool
endif

# avoid tests requiring data base connections if no server is running while we are doing the build
# This would not trigger a failure but bloats the build log with irrelevant noise
EXCLUDEDATABASE=BioSQL_MySQLdb BioSQL_psycopg2

# The following test works only with python-rdflib (>= 4)
# If python-rdflib (>= 4) then do not exclude it - otherwise we exclude this test
EXCLUDERDFLIB=$(shell if dpkg --compare-versions `dpkg -l python-rdflib | grep ^ii | sed 's/ii *python-rdflib *\([-.0-9]\+\) *.*/\1/'` gt 4 ; then echo ""; else echo "Phylo_CDAO" ; fi)

# FIXME: These tests are failing for unknown reasons and this needs to be investigated
#        specifically since test_ColorSpiral and test_trie are running when called manually
#        .
#        Regarding the Tutorial test it depends from a fix for python-reportlab (see #745985)
EXCLUDEFAILINGTESTS=GenomeDiagram Fasttree_tool Mafft_tool Tutorial ColorSpiral trie

# FIXME: Currently it is not sure for what architecture samtools will be available
#        to anable a smooth migration to testing the build-dependency will be dropped
#        for the moment
EXCLUDEPACKAGEINFLUX=samtools_tool

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	dh_numpy -ppython-biopython
	dh_numpy3 -ppython3-biopython

override_dh_auto_test:
ifeq ($(BUILDARCH),mips)
	echo "***************************************************************************"
	echo "* Attention: Build time tests for mips architecture are skipped.          *"
	echo "* The reason is that the tests are known to fail for Python3 and the      *"
	echo "* effort to simply run only for Python 2.7 seems to be error prone.       *"
	echo "* Upstream is working on a solution so this should be dropped for         *"
	echo "* next upstream version. See:                                             *"
	echo "* http://mailman.open-bio.org/pipermail/biopython/2014-August/015383.html *"
	echo "***************************************************************************"
else
	mkdir -p Tests_avoid
	if [ "$(EXCLUDERDFLIB)" != "" ] ; then echo "You might like to install python-rdflib from experimental to run Phylo_CDAO test" ; else echo "Phylo_CDAO will be done"; fi
	for avoid in $(EXCLUDEONLINE) $(EXCLUDENONFREE) $(EXCLUDENOTPACKAGED) $(EXCLUDEARCHamd64) $(EXCLUDEDATABASE) $(EXCLUDERDFLIB) $(EXCLUDEFAILINGTESTS) $(EXCLUDEPACKAGEINFLUX) \
		    ; do \
	    mv Tests/test_$${avoid}.py Tests_avoid ; \
	done
	# For the doc package we need a clean testsuite without all the remaining files.  So keep a clean copy here
	mkdir -p debian/tmp_tests
	cp -a Tests debian/tmp_tests
	# remove duplicated file
	rm -f debian/tmp_tests/Tests/Quality/example.fastq.gz
	# We also keep the tests we need to avoid for later inspection
	cp -a Tests_avoid debian/tmp_tests
	# in the Debian package dialign it is not needed to set DIALIGN2_DIR but the test is verifying this dir 
	# to run the EMBOSS test test_Emboss also requires to have the environment variable EMBOSS_ROOT set
	LC_ALL=C.UTF-8 dh_auto_test -- --test --system=custom \
		--test-args='set -e; \
                             mkdir -p {build_dir}/home; \
                             mkdir -p {build_dir}/Doc; \
                             cp -a Doc/Tutorial.tex {build_dir}/Doc; \
                             cp -a Tests {build_dir}; \
                             cd {build_dir}/Tests; \
                             env DIALIGN2_DIR=/usr/share/dialign EMBOSS_ROOT=/usr/lib/emboss HOME={build_dir}/home {interpreter} run_tests.py --offline'
	mv Tests_avoid/* Tests
	rmdir Tests_avoid
endif

override_dh_installdocs-indep:
	dh_installdocs
	find debian -name __pycache__ -type d | xargs rm -rf
	find debian -name example.fastq.gz
	# dh_installdocs seems to refuse copying zero length files (for instance Tests/Blast/tab_2226_tblastn_002.txt) but these are needed for the tests as well
	cp -a debian/tmp_tests/* $(CURDIR)/debian/python-biopython-doc/usr/share/doc/python-biopython-doc/

override_dh_auto_clean:
	dh_auto_clean
	if [ -d Tests_avoid ] ; then \
	    mv Tests_avoid/* Tests ; \
	    rmdir Tests_avoid ; \
	fi
	rm -rf debian/tmp_tests

=== debian/watch ===
version=3

opts="uversionmangle=s/b/~b/,dversionmangle=s/\+dfsg//" \
  http://biopython.org/DIST/biopython-(.\.\w+)\.tar\.gz

## python-biopython 1.65+dfsg

=== debian/changelog ===
python-biopython (1.65+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Apply fix for broken test from Upstream Git
  * Versioned (Build-)Depends: python-rdflib (>= 4)
  * Prevent privacy-breach-logo

 -- Andreas Tille <tille@debian.org>  Tue, 12 May 2015 11:08:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: python-biopython
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Philipp Benner <philipp@debian.org>,
-           Charles Plessy <plessy@debian.org>,
+Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: python
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1~),
@@ -33,8 +31,8 @@
                python3-matplotlib,
                python-pil,
                python3-pil,
-               python-rdflib,
-               python3-rdflib,
+               python-rdflib (>= 4),
+               python3-rdflib (>= 4),
                python-renderpm,
                python3-renderpm,
                python-psycopg2,
@@ -74,7 +72,7 @@
           python-matplotlib,
           python-numpy,
           python-pil,
-          python-rdflib,
+          python-rdflib (>= 4),
           python-renderpm,
           python-psycopg2,
           raxml,
@@ -123,7 +121,7 @@
           python3-matplotlib,
           python3-numpy,
           python3-pil,
-          python3-rdflib,
+          python3-rdflib (>= 4),
           python3-renderpm,
           python3-psycopg2,
           raxml,

=== debian/rules ===
--- 
+++ 
@@ -34,10 +34,6 @@
 # This would not trigger a failure but bloats the build log with irrelevant noise
 EXCLUDEDATABASE=BioSQL_MySQLdb BioSQL_psycopg2
 
-# The following test works only with python-rdflib (>= 4)
-# If python-rdflib (>= 4) then do not exclude it - otherwise we exclude this test
-EXCLUDERDFLIB=$(shell if dpkg --compare-versions `dpkg -l python-rdflib | grep ^ii | sed 's/ii *python-rdflib *\([-.0-9]\+\) *.*/\1/'` gt 4 ; then echo ""; else echo "Phylo_CDAO" ; fi)
-
 # FIXME: These tests are failing for unknown reasons and this needs to be investigated
 #        specifically since test_ColorSpiral and test_trie are running when called manually
 #        .
@@ -69,8 +65,7 @@
 	echo "***************************************************************************"
 else
 	mkdir -p Tests_avoid
-	if [ "$(EXCLUDERDFLIB)" != "" ] ; then echo "You might like to install python-rdflib from experimental to run Phylo_CDAO test" ; else echo "Phylo_CDAO will be done"; fi
-	for avoid in $(EXCLUDEONLINE) $(EXCLUDENONFREE) $(EXCLUDENOTPACKAGED) $(EXCLUDEARCHamd64) $(EXCLUDEDATABASE) $(EXCLUDERDFLIB) $(EXCLUDEFAILINGTESTS) $(EXCLUDEPACKAGEINFLUX) \
+	for avoid in $(EXCLUDEONLINE) $(EXCLUDENONFREE) $(EXCLUDENOTPACKAGED) $(EXCLUDEARCHamd64) $(EXCLUDEDATABASE) $(EXCLUDEFAILINGTESTS) $(EXCLUDEPACKAGEINFLUX) \
 		    ; do \
 	    mv Tests/test_$${avoid}.py Tests_avoid ; \
 	done
@@ -86,8 +81,9 @@
 	LC_ALL=C.UTF-8 dh_auto_test -- --test --system=custom \
 		--test-args='set -e; \
                              mkdir -p {build_dir}/home; \
-                             mkdir -p {build_dir}/Doc; \
+                             mkdir -p {build_dir}/Doc/examples; \
                              cp -a Doc/Tutorial.tex {build_dir}/Doc; \
+                             cp -a Doc/examples/nmr {build_dir}/Doc/examples; \
                              cp -a Tests {build_dir}; \
                              cd {build_dir}/Tests; \
                              env DIALIGN2_DIR=/usr/share/dialign EMBOSS_ROOT=/usr/lib/emboss HOME={build_dir}/home {interpreter} run_tests.py --offline'
@@ -109,3 +105,6 @@
 	    rmdir Tests_avoid ; \
 	fi
 	rm -rf debian/tmp_tests
+
+get-orig-source:
+	uscan --verbose --force-download --repack --compression xz

## python-biopython 1.66%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -23,10 +23,12 @@
                mafft,
                muscle,
                ncbi-blast+,
+               phylip,
                phyml,
                prank,
                probcons,
                python-mysqldb,
+               python3-mysqldb,
                python-matplotlib,
                python3-matplotlib,
                python-pil,
@@ -65,6 +67,7 @@
           fasttree,
           mafft,
           muscle,
+          phylip,
           phyml,
           prank,
           probcons,
@@ -114,6 +117,7 @@
           fasttree,
           mafft,
           muscle,
+          phylip,
           phyml,
           prank,
           probcons,

## python-biopython 1.66+dfsg

=== Doc/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 all:  Tutorial.html Tutorial.txt pdf $(subdirs)
 pdf:  Tutorial.pdf biopdb_faq.pdf
 
-Tutorial.pdf: Tutorial.tex
+Tutorial.pdf: Tutorial.tex Tutorial/chapter_*.tex
 	pdflatex Tutorial.tex
 	pdflatex Tutorial.tex
 	pdflatex Tutorial.tex
@@ -14,10 +14,10 @@
 	pdflatex biopdb_faq.tex
 	pdflatex biopdb_faq.tex
 
-Tutorial.html: Tutorial.tex
+Tutorial.html: Tutorial.tex Tutorial/chapter_*.tex
 	hevea -fix Tutorial.tex
 
-Tutorial.txt: Tutorial.tex
+Tutorial.txt: Tutorial.tex Tutorial/chapter_*.tex
 	hevea -fix -text Tutorial.tex
 
 clean-subdirs: $(subdirs)

=== Doc/install/Makefile ===
# create pdf, txt and html documentation

FILENAME=Installation

all: ${FILENAME}.pdf ${FILENAME}.html ${FILENAME}.txt

clean: 
	rm -f ${FILENAME}.aux
	rm -f ${FILENAME}.log
	rm -f ${FILENAME}.out
	rm -f ${FILENAME}.toc
	rm -f ${FILENAME}.haux
	rm -f ${FILENAME}.htoc

distclean: clean
	rm -f ${FILENAME}.pdf
	rm -f ${FILENAME}.txt
	rm -f ${FILENAME}.html

${FILENAME}.pdf: ${FILENAME}.tex
	pdflatex ${FILENAME}.tex
	pdflatex ${FILENAME}.tex
	pdflatex ${FILENAME}.tex

${FILENAME}.html: ${FILENAME}.tex
	hevea -fix ${FILENAME}.tex

${FILENAME}.txt: ${FILENAME}.tex
	hevea -fix -text ${FILENAME}.tex

=== Doc/cookbook/motif/Makefile ===
# create pdf, txt and html documentation

FILENAME=motif

all: ${FILENAME}.html ${FILENAME}.pdf ${FILENAME}.txt

clean:
	rm -f ${FILENAME}.aux
	rm -f ${FILENAME}.log
	rm -f ${FILENAME}.out
	rm -f ${FILENAME}.toc
	rm -f ${FILENAME}.haux
	rm -f ${FILENAME}.htoc

distclean: clean
	rm -f ${FILENAME}.pdf
	rm -f ${FILENAME}.html
	rm -f ${FILENAME}.txt

${FILENAME}.pdf: ${FILENAME}.tex
	pdflatex ${FILENAME}.tex
	pdflatex ${FILENAME}.tex
	pdflatex ${FILENAME}.tex

${FILENAME}.html: ${FILENAME}.tex
	hevea -fix ${FILENAME}.tex

${FILENAME}.txt: ${FILENAME}.tex
	hevea -fix -text ${FILENAME}.tex

=== debian/changelog ===
python-biopython (1.66+dfsg-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 13:53:09 +0000

python-biopython (1.66+dfsg-1) unstable; urgency=medium

  * New upstream version (some patches applied upstream)

 -- Andreas Tille <tille@debian.org>  Sun, 08 Nov 2015 19:28:26 +0100

python-biopython (1.65+dfsg-3) unstable; urgency=medium

  * Also run Tutorial test
  * Prefer Github as contact point
  * Build-Depends: python3-mysqldb
    Closes: #801112

 -- Andreas Tille <tille@debian.org>  Tue, 06 Oct 2015 16:53:06 +0200

python-biopython (1.65+dfsg-2) unstable; urgency=medium

  * Build-Depends & Suggests: phylip + fixed test_phyml_tool
    Closes: #799820
  * debian/clean: Remove test results occuring now since phylip can be used
  * Activate more tests formerly deactivated

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2015 15:18:58 +0200

=== debian/rules ===
--- 
+++ 
@@ -34,15 +34,15 @@
 # This would not trigger a failure but bloats the build log with irrelevant noise
 EXCLUDEDATABASE=BioSQL_MySQLdb BioSQL_psycopg2
 
-# FIXME: These tests are failing for unknown reasons and this needs to be investigated
-#        specifically since test_ColorSpiral and test_trie are running when called manually
-#        .
-#        Regarding the Tutorial test it depends from a fix for python-reportlab (see #745985)
-EXCLUDEFAILINGTESTS=GenomeDiagram Fasttree_tool Mafft_tool Tutorial ColorSpiral trie
+# No need to exclude any tests any more
+EXCLUDEFAILINGTESTS=
 
 # FIXME: Currently it is not sure for what architecture samtools will be available
 #        to anable a smooth migration to testing the build-dependency will be dropped
 #        for the moment
+#        .
+#        The samtools test also fails on amd64.  This is reported upstream
+#	 see https://github.com/biopython/biopython/issues/625
 EXCLUDEPACKAGEINFLUX=samtools_tool
 
 %:
@@ -83,7 +83,8 @@
                              mkdir -p {build_dir}/home; \
                              mkdir -p {build_dir}/Doc/examples; \
                              cp -a Doc/Tutorial.tex {build_dir}/Doc; \
-                             cp -a Doc/examples/nmr {build_dir}/Doc/examples; \
+                             cp -a Doc/Tutorial {build_dir}/Doc; \
+                             cp -a Doc/examples {build_dir}/Doc; \
                              cp -a Tests {build_dir}; \
                              cd {build_dir}/Tests; \
                              env DIALIGN2_DIR=/usr/share/dialign EMBOSS_ROOT=/usr/lib/emboss HOME={build_dir}/home {interpreter} run_tests.py --offline'

=== debian/watch ===
version=3

opts="uversionmangle=s/b/~b/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//" \
  http://biopython.org/DIST/biopython-(.\.\w+)\.tar\.gz
